// EncBasicTestDlg.h : header file
//
//{{AFX_INCLUDES()
#include "imsenc.h"
#include "EncConst.h"
//}}AFX_INCLUDES

#if !defined(AFX_ENCBASICTESTDLG_H__1114FB67_503A_11D4_82AA_0000E8EFB46E__INCLUDED_)
#define AFX_ENCBASICTESTDLG_H__1114FB67_503A_11D4_82AA_0000E8EFB46E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CEncBasicTestDlg dialog

class CEncBasicTestDlg : public CDialog
{
// Construction
public:
	CEncBasicTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEncBasicTestDlg)
	enum { IDD = IDD_ENCBASICTEST_DIALOG };
	CImsEnc	m_ImsEnc;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEncBasicTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEncBasicTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ENCBASICTESTDLG_H__1114FB67_503A_11D4_82AA_0000E8EFB46E__INCLUDED_)
